# Class SequenceAlignmentsDistanceMatrix

java.lang.Object
jebl.evolution.distances.BasicDistanceMatrix
jebl.evolution.align.SequenceAlignmentsDistanceMatrix

All Implemented Interfaces:
  `DistanceMatrix`

public class SequenceAlignmentsDistanceMatrix extends BasicDistanceMatrix
Builds a distance matrix by performing a series of pairwise alignments between the specified sequences (unlike the methods in jebl.evolution.distances, which extract the pairwise distances from a multiple sequence alignment).

Version:
  $Id: SequenceAlignmentsDistanceMatrix.java 1057 2010-05-24 03:20:46Z matt_kearse $
Author:
  Joseph Heled

## Constructor Summary

Constructors
Constructor
Description
`SequenceAlignmentsDistanceMatrix(List<Sequence> seqs, PairwiseAligner aligner, ProgressListener progress)`
`SequenceAlignmentsDistanceMatrix(List<Sequence> seqs, PairwiseAligner aligner, ProgressListener progress, TreeBuilderFactory.DistanceModel model)`

## Method Summary

Modifier and Type
Method
Description
`static TreeBuilderFactory.DistanceModel`
`getDefaultDistanceModel(List<Sequence> seqs)`

### Methods inherited from class BasicDistanceMatrix

`getDistance, getDistance, getDistances, getSize, getSubmatrix, getTaxa`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SequenceAlignmentsDistanceMatrix

public SequenceAlignmentsDistanceMatrix(List<Sequence> seqs, PairwiseAligner aligner, ProgressListener progress) throws CannotBuildDistanceMatrixException

Throws:
  `CannotBuildDistanceMatrixException`

### SequenceAlignmentsDistanceMatrix

public SequenceAlignmentsDistanceMatrix(List<Sequence> seqs, PairwiseAligner aligner, ProgressListener progress, TreeBuilderFactory.DistanceModel model) throws CannotBuildDistanceMatrixException

Throws:
  `CannotBuildDistanceMatrixException`

## Method Details

### getDefaultDistanceModel

public static TreeBuilderFactory.DistanceModel getDefaultDistanceModel(List<Sequence> seqs)